# Uses of Interface
org.eclipse.mat.query.IQueryContext

Packages that use IQueryContext
Package
Description
org.eclipse.mat.inspections
These are general queries.
org.eclipse.mat.internal.snapshot
Collects arguments for queries.
org.eclipse.mat.internal.snapshot.inspections
These are queries for dominator tree and paths to/from garbage collection roots.
org.eclipse.mat.query.annotations.descriptors
Package of interfaces for examining annotations of queries and arguments.
org.eclipse.mat.query.refined
A way of controlling the detail given by the output of a query.
org.eclipse.mat.query.registry
Package for getting a list of queries and examining their capabilities and setting them up.
org.eclipse.mat.report
Controls building of reports from XML report definitions.
org.eclipse.mat.report.internal
Internal classes for controlling building of reports from XML report definitions (not API).
org.eclipse.mat.ui.editor
Editor for viewing snapshot (not API).
org.eclipse.mat.ui.internal.acquire
Acquire heap dumps from other running processes - user interface (not API).
org.eclipse.mat.ui.internal.browser
Examine list of queries and query history - user interface (not API).
org.eclipse.mat.ui.internal.query.arguments
Allows a user to specify arguments for a query - user interface (not API).
org.eclipse.mat.ui.internal.viewer
Allows filtering of the display of tables and trees, for example excluding certain class names - user interface (not API).

## Uses of IQueryContext in org.eclipse.mat.inspections

Fields in org.eclipse.mat.inspections declared as IQueryContext
Modifier and Type
Field
Description
`IQueryContext`
ReferenceLeakQuery.`context`

## Uses of IQueryContext in org.eclipse.mat.internal.snapshot

Classes in org.eclipse.mat.internal.snapshot that implement IQueryContext
Modifier and Type
Class
Description
`class`
`SnapshotQueryContext`

## Uses of IQueryContext in org.eclipse.mat.internal.snapshot.inspections

Fields in org.eclipse.mat.internal.snapshot.inspections declared as IQueryContext
Modifier and Type
Field
Description
`IQueryContext`
CompareTablesQuery.`queryContext`

## Uses of IQueryContext in org.eclipse.mat.query.annotations.descriptors

Methods in org.eclipse.mat.query.annotations.descriptors with parameters of type IQueryContext
Modifier and Type
Method
Description
`String`
IAnnotatedObjectDescriptor.`getUsage(IQueryContext context)`
Get the usage information, for example provided by the annotation `Usage`, or by a combination of the `IAnnotatedObjectDescriptor.getIdentifier()` and `ArgumentDescriptor.appendUsage(java.lang.StringBuilder)`.

## Uses of IQueryContext in org.eclipse.mat.query.refined

Constructors in org.eclipse.mat.query.refined with parameters of type IQueryContext
Modifier
Constructor
Description
``
`RefinedResultBuilder(IQueryContext context, IStructuredResult subject)`
Build a suitable refined result given an input of IResultTable or IResultTree.

## Uses of IQueryContext in org.eclipse.mat.query.registry

Classes in org.eclipse.mat.query.registry that implement IQueryContext
Modifier and Type
Class
Description
`class`
`QueryContextImpl`
Methods in org.eclipse.mat.query.registry with parameters of type IQueryContext
Modifier and Type
Method
Description
`boolean`
QueryDescriptor.`accept(IQueryContext context)`
Can the query be satisfied by the current context, possibly with other user supplied arguments?
`ArgumentSet`
QueryDescriptor.`createNewArgumentSet(IQueryContext context)`
Create ArgumentSet.
`static IResult`
CommandLine.`execute(IQueryContext context, String commandLine, IProgressListener listener)`
`String`
QueryDescriptor.`explain(IQueryContext context)`
Explain any parameters which cannot be filled in from the provided context.
`String`
AnnotatedObjectDescriptor.`getUsage(IQueryContext context)`
`static Queries`
Queries.`lookup(String name, IQueryContext context)`
`static ArgumentSet`
CommandLine.`parse(IQueryContext context, String line)`
`static Queries`
Queries.`parse(String commandLine, IQueryContext context)`

## Uses of IQueryContext in org.eclipse.mat.report

Methods in org.eclipse.mat.report that return IQueryContext
Modifier and Type
Method
Description
`IQueryContext`
IOutputter.Context.`getQueryContext()`
The query context for the result.
`IQueryContext`
TestSuite.`getQueryContext()`
Methods in org.eclipse.mat.report with parameters of type IQueryContext
Modifier and Type
Method
Description
`TestSuite`
TestSuite.Builder.`build(IQueryContext queryContext)`

## Uses of IQueryContext in org.eclipse.mat.report.internal

Fields in org.eclipse.mat.report.internal declared as IQueryContext
Modifier and Type
Field
Description
`IQueryContext`
RunExternalTest.`context`
`IQueryContext`
RunRegisterdReport.`queryContext`
Methods in org.eclipse.mat.report.internal with parameters of type IQueryContext
Modifier and Type
Method
Description
`abstract AbstractPart`
AbstractPart.`execute(IQueryContext context, ResultRenderer renderer, IProgressListener listener)`
`AbstractPart`
LinkedPart.`execute(IQueryContext context, ResultRenderer renderer, IProgressListener listener)`
`AbstractPart`
QueryPart.`execute(IQueryContext context, ResultRenderer renderer, IProgressListener listener)`
`AbstractPart`
SectionPart.`execute(IQueryContext context, ResultRenderer renderer, IProgressListener listener)`

## Uses of IQueryContext in org.eclipse.mat.ui.editor

Methods in org.eclipse.mat.ui.editor that return IQueryContext
Modifier and Type
Method
Description
`IQueryContext`
AbstractEditorPane.`getQueryContext()`
`IQueryContext`
MultiPaneEditor.`getQueryContext()`

## Uses of IQueryContext in org.eclipse.mat.ui.internal.acquire

Classes in org.eclipse.mat.ui.internal.acquire that implement IQueryContext
Modifier and Type
Class
Description
`class`
`ProviderContextImpl`

## Uses of IQueryContext in org.eclipse.mat.ui.internal.browser

Methods in org.eclipse.mat.ui.internal.browser with parameters of type IQueryContext
Modifier and Type
Method
Description
`static boolean`
QueryBrowserProvider.`unsuitableSubjects(QueryDescriptor query, IQueryContext queryContext)`
Constructors in org.eclipse.mat.ui.internal.browser with parameters of type IQueryContext
Modifier
Constructor
Description
``
`QueryContextHelp(Shell parent, IAnnotatedObjectDescriptor query, IQueryContext queryContext, Rectangle bounds)`
``
`QueryHistoryProvider(IQueryContext context, IPolicy policy)`
``
`QueryRegistryProvider(IQueryContext context, CategoryDescriptor c, IPolicy policy)`

## Uses of IQueryContext in org.eclipse.mat.ui.internal.query.arguments

Methods in org.eclipse.mat.ui.internal.query.arguments with parameters of type IQueryContext
Modifier and Type
Method
Description
`static ArgumentEditor`
TableEditorFactory.`createTableEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item)`
Constructors in org.eclipse.mat.ui.internal.query.arguments with parameters of type IQueryContext
Modifier
Constructor
Description
``
`ArgumentEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item)`
``
`ArgumentsTable(Composite parent, int style, IQueryContext context, ArgumentSet argumentSet, LinkEditor.Mode mode)`
``
`ArgumentsWizard(IQueryContext context, ArgumentSet argumentSet)`
``
`ArgumentsWizardPage(IQueryContext context, ArgumentSet argumentSet)`
``
`BooleanComboEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item)`
``
`CheckBoxEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item, CheckBoxEditor.Type type)`
``
`EnumComboEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item)`
``
`FileOpenDialogEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item)`
``
`ImageTextEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item, TextEditor.DecoratorType decorator)`
``
`LinkEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item, LinkEditor.Mode mode)`
``
`SnapshotSelectionEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item)`
``
`TextEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item)`
``
`TextEditor(Composite parent, IQueryContext context, ArgumentDescriptor descriptor, TableItem item, TextEditor.DecoratorType decorator)`

## Uses of IQueryContext in org.eclipse.mat.ui.internal.viewer

Constructors in org.eclipse.mat.ui.internal.viewer with parameters of type IQueryContext
Modifier
Constructor
Description
``
`RefinedTableViewer(IQueryContext context, QueryResult result, RefinedTable table)`
``
`RefinedTreeViewer(IQueryContext context, QueryResult result, RefinedTree tree)`